Package org.apache.jmeter.samplers

# Class DataStrippingSampleSender

java.lang.Object
org.apache.jmeter.samplers.AbstractSampleSender
org.apache.jmeter.samplers.DataStrippingSampleSender

All Implemented Interfaces:
  `Serializable`, `SampleSender`

public class DataStrippingSampleSender extends AbstractSampleSender implements Serializable
The standard remote sample reporting should be more friendly to the main purpose of remote testing - which is scalability. To increase scalability, this class strips out the response data before sending.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DataStrippingSampleSender()`
Deprecated.
only for use by test code

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`readResolve()`
Processed by the RMI server code; acts as testStarted().
`void`
`sampleOccurred(SampleEvent event)`
A sample occurred.
`void`
`testEnded(String host)`
The test ended.

### Methods inherited from class org.apache.jmeter.samplers.AbstractSampleSender

`isClientConfigured, testEnded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataStrippingSampleSender

@Deprecated public DataStrippingSampleSender()
Deprecated.
only for use by test code

## Method Details

### testEnded

public void testEnded(String host)
Description copied from interface: `SampleSender`
The test ended. This will be called from the engine thread.

Specified by:
  `testEnded` in interface `SampleSender`
Parameters:
  `host` - the host that the test ended on.

### sampleOccurred

public void sampleOccurred(SampleEvent event)
Description copied from interface: `SampleSender`
A sample occurred. This method will be called from the sampler thread.

Specified by:
  `sampleOccurred` in interface `SampleSender`
Parameters:
  `event` - a Sample Event

### readResolve

protected Object readResolve() throws ObjectStreamException
Processed by the RMI server code; acts as testStarted().

Returns:
  this
Throws:
  `ObjectStreamException` - never